Package writer2latex.xhtml

# Class TextConverter

java.lang.Object
writer2latex.xhtml.TextConverter

public class TextConverter extends Object
This class handles text content

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Stack<Node>`
`sections`

## Constructor Summary

Constructors
Constructor
Description
`TextConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`

## Method Summary

Modifier and Type
Method
Description
`void`
`convertTextContent(Element onode)`
Converts an office node as a complete text document
`protected Element`
`createInline(Element node, String sStyleName)`
`protected Element`
`createParagraph(Element node, String sStyleName)`
`protected Element`
`doMaybeSplit(Node node, int nLevel)`
`protected int`
`getAlphabeticalIndex()`
`protected int`
`getOutlineLevel(Element node)`
`protected int`
`getTocIndex()`
`protected void`
`handleAnchor(Node onode, Node hnode)`
`protected void`
`setAsapNode(Element node)`
`Node`
`traverseBlockText(Node onode, Node hnode)`
`protected void`
`traverseInlineText(Node onode, Node hnode)`
`protected void`
`traversePCDATA(Node onode, Node hnode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sections

protected Stack<Node> sections

## Constructor Details

### TextConverter

public TextConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)

## Method Details

### convertTextContent

public void convertTextContent(Element onode)
Converts an office node as a complete text document

Parameters:
  `onode` - the Office node containing the content to convert

### getTocIndex

protected int getTocIndex()

### getAlphabeticalIndex

protected int getAlphabeticalIndex()

### setAsapNode

protected void setAsapNode(Element node)

### traverseBlockText

public Node traverseBlockText(Node onode, Node hnode)

### doMaybeSplit

protected Element doMaybeSplit(Node node, int nLevel)

### traverseInlineText

protected void traverseInlineText(Node onode, Node hnode)

### traversePCDATA

protected void traversePCDATA(Node onode, Node hnode)

### handleAnchor

protected void handleAnchor(Node onode, Node hnode)

### createParagraph

protected Element createParagraph(Element node, String sStyleName)

### createInline

protected Element createInline(Element node, String sStyleName)

### getOutlineLevel

protected int getOutlineLevel(Element node)